#ifndef ULTRAVIOLETRAYS_H
#define ULTRAVIOLETRAYS_H

#include <QWidget>
#include <QVBoxLayout>
#include <QLabel>
#include "global/corevar.h"
#include <QGSettings/QGSettings>
class ultravioletrays : public QWidget
{
    Q_OBJECT
public:
    explicit ultravioletrays(QWidget *parent = nullptr);
    void setItemContent(QString text);
    void isFullScreen(int);
    int m_judgeFullScreen;

private:
    QVBoxLayout *m_uvLayout;
    QLabel *m_uvIcon;
    QLabel *m_str;
    QLabel *m_degree;
    QString uvpath = ":/res/contorl_icons/index_uv.png";

    void initLayout();
    void initQss(double);
    void lable2SetFontSizeSlot(int size);
    QGSettings *m_fontSize = nullptr;

signals:
};

#endif // ULTRAVIOLETRAYS_H
